Show / Hide Table of Contents

# AsyncGUITrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncGUITrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncGUITrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnGUIAsyncHandler() |
GetOnGUIAsyncHandler(CancellationToken) |
OnGUIAsync() |
OnGUIAsync(CancellationToken) |

### Methods

#### GetOnGUIAsyncHandler()

    public IAsyncOnGUIHandler GetOnGUIAsyncHandler()

##### Returns

IAsyncOnGUIHandler

#### GetOnGUIAsyncHandler(CancellationToken)

    public IAsyncOnGUIHandler GetOnGUIAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnGUIHandler

#### OnGUIAsync()

    public UniTask OnGUIAsync()

##### Returns

UniTask

#### OnGUIAsync(CancellationToken)

    public UniTask OnGUIAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>